summaryrefslogtreecommitdiff
path: root/hints/darwin.sh
diff options
context:
space:
mode:
authorDominic Dunlop <domo@computer.org>2005-06-27 21:46:59 +0200
committerNicholas Clark <nick@ccl4.org>2005-06-28 10:09:26 +0000
commit381aa1c34573c3084d65a3f45ffcdc24a58d6a53 (patch)
tree97f45b75b759afb694eb2b7196a736db6f20a7e1 /hints/darwin.sh
parent29033a8a33c87f72febba470e43825c1489ad8d3 (diff)
downloadperl-381aa1c34573c3084d65a3f45ffcdc24a58d6a53.tar.gz
Re: Hints for 64bitall (PPC!) Darwin perl
Message-Id: <1D31D9A6-2451-49EE-AD80-80F1D9CA2825@computer.org> Date: Mon, 27 Jun 2005 19:46:59 +0200 p4raw-id: //depot/perl@25004
Diffstat (limited to 'hints/darwin.sh')
-rw-r--r--hints/darwin.sh43
1 files changed, 42 insertions, 1 deletions
diff --git a/hints/darwin.sh b/hints/darwin.sh
index ad9377623a..68735c7919 100644
--- a/hints/darwin.sh
+++ b/hints/darwin.sh
@@ -152,7 +152,12 @@ case "$osvers" in
;;
esac
-cccdlflags=' '; # space, not empty, because otherwise we get -fpic
+case "$ccdlflags" in # If passed in from command line, presume user knows best
+'')
+ cccdlflags=' '; # space, not empty, because otherwise we get -fpic
+;;
+esac
+
# Perl bundles do not expect two-level namespace, added in Darwin 1.4.
# But starting from perl 5.8.1/Darwin 7 the default is the two-level.
case "$osvers" in
@@ -190,6 +195,42 @@ case "$ldflags" in
esac
EOCBU
+# 64-bit addressing support. Currently strictly experimental. DFD 2005-06-06
+if [ "$use64bitall" ]
+then
+case "$osvers" in
+[1-7].*)
+ cat <<EOM >&4
+
+
+
+*** 64-bit addressing is not supported for Mac OS X versions
+*** below 10.4 ("Tiger") or Darwin versions below 8. Please try
+*** again without -D64bitall. (-D64bitint will work, however.)
+
+EOM
+ exit 1
+ ;;
+*)
+ cat <<EOM >&4
+
+
+
+*** Perl 64-bit addressing support is experimental for Mac OS X
+*** 10.4 ("Tiger") and Darwin version 8. Expect a number of test
+*** failures:
+*** ext/IO/io_* ext/IPC/sysV/t/* lib/Net/Ping/t/450_service
+*** Any test that uses sdbm
+
+EOM
+ for var in ccflags cppflags ld ldflags
+ do
+ eval $var="\$${var}\ -arch\ ppc64"
+ done
+ ;;
+esac
+fi
+
##
# System libraries
##